Get elastic signing agreements
Retrieves the user agreements for a specified elastic template. Each userAgreementResponse object describes a single user’s response to the elastic signing agreement. You can also filter the agreements by date, status, page number, and client user ID.
Required authentication scopes: click.manage.
Related topics
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
accountId
The external account number (int) or account ID GUID.
clickwrapId
The GUID of the elastic template.
Query parameters
client_user_id
The client ID.
from_date
The earliest date to return agreements from.
page_number
The results for this endpoint are paginated. Use this parameter to indicate which page to return. The minimumPagesRemaining value in the response indicates whether to continue querying for additional pages.
For example, if the page size is 40:
- If this property is set to 0 (the default), the endpoint returns results 1-40.
- If this property is set to 1, the endpoint returns results 41-80.
The default value is 0.
status
The status of the elastic templates to return.
to_date
The latest date to return agreements from.
Response
Successful response.
beginCreatedOn
User agreements from this datetime.
minimumPagesRemaining
Number of pages remaining in the response.
page
The number of the current page.
pageSize
The number of items per page.
userAgreements
An array of user agreements.
Errors
400
Bad Request Error